package com.hdkj.lt.bf.service;

import com.hdkj.fhzg.entity.Page;
import com.hdkj.fhzg.request.AutoTaskQueryPageRequest;
import com.hdkj.fhzg.request.AutoTaskQueryRequest;
import com.hdkj.fhzg.response.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author rj
 * @date 2026/3/10 16:03
 * @description
 */
public interface AutoTaskService {

    List<AutoTaskFeederResponse> getCountryStatistic(AutoTaskQueryRequest request);

    List<AutoTaskFeederChangeResponse> getCountryFeederChangeList(AutoTaskQueryRequest request);

    List<AutoTaskCityDetailResponse> getCityDetailList(AutoTaskQueryRequest request);

    List<AutoTaskCountryDetailResponse> getCountryDetailList(AutoTaskQueryRequest request);

    List<AutoTaskChartResponse> getCityDetailChart(AutoTaskQueryRequest request);

    List<AutoTaskChartResponse> getCountryDetailChart(AutoTaskQueryRequest request);

    Page<AutoTaskCityDetailResponse> getCityDetailPage(AutoTaskQueryPageRequest request);

    Page<AutoTaskCountryDetailResponse> getCountryDetailPage(AutoTaskQueryPageRequest request);

    void export(AutoTaskQueryPageRequest request, HttpServletResponse response);

    String createTask(String cityCode);
}
